package com.czg.market.service;

import com.czg.market.dto.SmsPushEventDTO;
import com.czg.market.entity.SmsPushEvent;
import com.mybatisflex.core.paginate.Page;
import com.mybatisflex.core.service.IService;

/**
 * 营销推送发送记录 服务层。
 *
 * @author ww
 * @since 2025-10-14
 */
public interface SmsPushEventService extends IService<SmsPushEvent> {

    /**
     * 分页查询营销推送发送记录列表
     */
    Page<SmsPushEventDTO> getPushEventPage(Integer page, Integer size, Long shopId, Integer status, Long id);

    /**
     * 添加营销推送发送任务
     */
    void addPushEvent(SmsPushEventDTO param);

    /**
     * 发送营销推送发送任务中的优惠券
     */
    void sendPushEventCoupon(String eventId);

    /**
     * 更新营销推送发送任务
     */
    void upPushEvent(SmsPushEventDTO param);

    void deletePushEvent(Long id);
}
